Identify does not work anymore in qgis server master

2013-02-26 02:01 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Radim Blazek

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16266

Description

With qgis (server) master, the identify tool does not return any result on a published layer. In the qgis log I see

Get feature info request error (Title:; Error:; URL: 

http://localhost/cgi-bin/qgis_mapserv.fcgi?map=/home/gio/Desktop/bing/teste19.qgs&#38;&#38;SERVICE=WMS&#38;VERSION=1.3.0

#38;REQUEST=GetFeatureInfo&#38;BBOX=-20037508.3427892439067364,-20037471.2051370665431023,20037508.3427892476320267,20037471.2051370255649090&#38;CRS=EPSG:3857&#38;WIDTH=1000&#38;HEIGHT=999&#38;LAYERS=frmt_wms_virtualearth&#38;STY

20267,20037471.2051370255649090&#38;CRS=EPSG:3857&#38;WIDTH=1000&#38;HEIGHT=999&#38;LAYERS=frmt_wms_virtualearth&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=frmt_wms_virtualearth&#38;INFO_FORMAT=text/xml&#38;I=489&#38;J=415&#38;FEATURE_COUNT=10

earth&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=frmt_wms_virtualearth&#38;INFO_FORMAT=text/xml&#38;I=489&#38;J=415&#38;FEATURE_COUNT=10

489&#38;J=415&#38;FEATURE_COUNT=10)

With the same project but under 1.8 all works fine.

Associated revisions

Revision 173aee6e - 2013-03-13 09:48 AM - Radim Blazek

WMS GetFeatureInfo supported formats fix, fixes #7238

History

#1 - 2013-03-01 03:47 AM - Matthias Kuhn

Issue #7258 is probably related

#2 - 2013-03-01 05:10 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#3 - 2013-03-01 05:35 AM - Marco Hugentobler

- Assignee changed from Marco Hugentobler to Radim Blazek

- Category changed from QGIS Server to Web Services clients/WMS

This is a client problem. GetFeatureInfo from browser works normally.

The problem is that QGIS now prefers the output format text/xml. However, if the xml is not gml, the WMS client does not do anything with it (quite

understandable, the output form of GetFeatureInfo is left to the server according to the WMS spec).

#4 - 2013-03-13 01:49 AM - Radim Blazek

- Status changed from Open to Closed
Fixed in changeset commit:"173aee6e3204a8845c4929836fa894fd506ae986".

#5 - 2013-03-13 01:52 AM - Radim Blazek

It should be fixed.

Now you should get with QGIS mapserver optional (combo in identify results) text and html format.

Files

52.png 625 KB 2013-02-26 Giovanni Manghi

28.png 238 KB 2013-02-26 Giovanni Manghi
